4

I have ran into some issues when it went down to install Steam on Debian. The console as well as Apper comes up with missing dependencies and the package isn't going to install.

8

Better yet, just install the Steam package provided in the non-free repository hosted on Debian's infrastructure:

  • add i386

    sudo dpkg --add-architecture i386

  • edit /etc/apt/sources.list to enable contrib and non-free; the jessie line should look something like (the URL will be different)

    deb http://ftp.fr.debian.org/debian jessie main contrib non-free

    (replace with stretch for Debian 9, or buster for Debian 10)

  • update apt's caches

    sudo apt-get update

  • install Steam

    sudo apt-get install steam:i386

  • install the appropriate 3D libraries (libgl1-mesa-glx:i386 for Mesa, libgl1-fglrx-glx:i386 for fglrx on AMD GPUs, or libgl1-nvidia-glx:i386 for the NVIDIA binary driver; note that fglrx is no longer available in Debian 9 and later):

    sudo apt-get install libgl1-mesa-glx:i386

Steam will update itself as necessary.

2

After doing some research and some trying myself, I found a fairly easy fix, that made the package install and steam running.

First of all you need the client, if you haven't already:

$ wget http://media.steampowered.com/client/installer/steam_latest.deb

Once you got the client downloaded, try to install the steam_latest.deb package. In CLI as well as in Apper or Gdebi you will get an error.

The error is a result of dependency problems which we will look into next:

# sudo dpkg -i steam_newest.deb

You should see something like this:

Selecting previously unselected package steam-launcher.
(Reading database ... 82762 files and directories currently installed.)
Preparing to unpack steam.deb ...
Unpacking steam-launcher (1.0.0.49) ...
dpkg: dependency problems prevent configuration of steam-launcher:
steam-launcher depends on curl; however: 
Package curl is not installed.
steam-launcher depends on zenity; however:   
Package zenity is not installed. 

You should also see something like this:

dpkg: error processing package steam-launcher (--install): 
dependency problems - leaving unconfigured
Processing triggers for mime-support (3.58) ...   
Processing triggers for hicolor-icon-theme (0.13-1) ...  
Processing triggers for man-db (2.7.0.2-5) ... 
Errors were encountered while processing:  
steam-launcher   

Now we will work on install all dependencies required to install Steam client:

# sudo apt-get -f install 

With this command, it should be possible, to install steam client successfully on your system. However, the client won't run still if you don't have 32-bit libraries installed. To do so, you need to enable multi-arch:

# sudo dpkg --add-architecture i386
# sudo apt-get update

Next, you have to install all required 32bit libraries:

# apt-get install libgl1-mesa-dri:i386 libgl1-mesa-glx:i386 libc6:i386

Also, depending on the graphic card you are using, you might have to install binary OpenGL 32-bit libraries. If you dont, you will see an error message like this, when you run the steam client:

You are missing the following 32-bit libraries, and Steam may not run:
libGL.so.1

This is resolved by installing the OpenGL 32-bit libraries suitable for your VGA type:

NVIDIA:
# sudo apt-get install libgl1-nvidia-glx-i386
ATI/AMD:
# sudo apt-get install  libgl1-fglrx-glx-i386

With that done, you should now be able to start your steam client.

$ steam

Enjoy!

0

You can also use Flatpak.

apt install flatpak
flatpak remote-add --if-not-exists flathub https://flathub.org/repo/flathub.flatpakrepo
flatpak install flathub com.valvesoftware.Steam
flatpak run com.valvesoftware.Steam

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.